Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.random
Interface PoissonDistC

All Known Implementing Classes:
  PoissonDistCImpl

public interface PoissonDistC
extends UnsignedDistributionC, UnsignedDistributionS

Poisson distribution. A distribution used to model the integer number of occurrences of some event over an interval of time or space.

Method Summary
`java.lang.Object` | `create$setGenerator$setOccurRate$setInterval(Zone aZone, SimpleRandomGenerator generator, double anOccurRate, double anInterval)` Use this create message if the generator to be attached is a Simple one and both the occurrence rate and the interval are set at create time:
`java.lang.Object` | `create$setGenerator$setVirtualGenerator$setOccurRate$setInterval(Zone aZone, SplitRandomGenerator generator, int vGen, double anOccurRate, double anInterval)` Use this create message if the generator to be attached is a Split one and both the occurrence rate and the interval are to be set at create time:

Methods inherited from interface swarm.random.ProbabilityDistributionC
`create$setGenerator, create$setGenerator$setVirtualGenerator, createWithDefaults`

Methods inherited from interface swarm.defobj.CreateC
`create, createBegin, createEnd`

Methods inherited from interface swarm.defobj.CustomizeC
`customizeBegin, customizeCopy, customizeEnd`

Method Detail

### create$setGenerator$setOccurRate$setInterval

    public java.lang.Object create$setGenerator$setOccurRate$setInterval(Zone aZone,
                                                                         SimpleRandomGenerator generator,
                                                                         double anOccurRate,
                                                                         double anInterval)

  Use this create message if the generator to be attached is a Simple one and both the occurrence rate and the interval are set at create time:

### create$setGenerator$setVirtualGenerator$setOccurRate$setInterval

    public java.lang.Object create$setGenerator$setVirtualGenerator$setOccurRate$setInterval(Zone aZone,
                                                                                             SplitRandomGenerator generator,
                                                                                             int vGen,
                                                                                             double anOccurRate,
                                                                                             double anInterval)

  Use this create message if the generator to be attached is a Split one and both the occurrence rate and the interval are to be set at create time:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD